/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/*
    Created on : 25 feb 2022, 10:36:59
    Author     : Simone
*/

img.ar-1-1{
    object-fit: contain;
    width:100%;
    height:100%;
}
.navbar-toggler{
    cursor:pointer
}
.navbar-toggler[aria-expanded="true"] i{
    transform:rotate(90deg);
}

.faq-container{
    border-radius:15px;
}
.FaqItem button{
    border:0;
    background: transparent;
    padding-right:30px;
    position: relative;
    background: transparent;
}
.FaqItem button:after{
    position: absolute;
    right: 0;
    top:50%;
    width:30px;
    height:30px;
    content:"";
    display: block;
    -webkit-mask: url(/themes/pro-speed/assets/img/ico/Icona-Freccia.svg) no-repeat 50% 50%;
    mask: url(/themes/pro-speed/assets/img/ico/Icona-Freccia.svg) no-repeat 50% 50%;
    mask-size: 6px;
    -webkit-mask-size: 6px;
    color: #000;
    background-color: rgba(0,0,0,.6);
    transform: translateY(-50%) rotate(-90deg);

}
.FaqItem button[aria-expanded="true"]:after{
    transform: translateY(-50%) rotate(90deg);
}
.FaqItem{
    padding: .5rem 0;
}
.FaqItem:not(:last-of-type) {
    border-bottom: 1px solid #ccc;
}
.FaqItem div > *,
.FaqItem .faq-title.h6{
    font-size: 14px;
}
.FaqItem a{text-decoration: underline;}
#search_filter_toggler{border-color: transparent}
.badge.badge-primary{
    background-color: #ed1c24;
    color: white;
    border-radius: 20px;
    text-align: center;
    min-width: 26px;
    height: 26px;
    display: inline-block;
    margin-right: -20px;
}
li[data-depth="0"] .category-sub-menu{
    margin-left:1rem;
    font-size:90%;
}
.list-categories a{
    text-transform: uppercase;
}
.active-filter-title a,
.active-filter-title a:hover{
    text-transform: uppercase;
    font-size: 16px;
    font-weight: normal;
    color: black;
    background-color: transparent;

}

.modal-header {
    background: #ed1c24;
    background: -moz-linear-gradient(left, #ED1C24 0%, #F96715 100%);
    background: -webkit-linear-gradient(left, #ED1C24 0%, #F96715 100%);
    background: linear-gradient(to right, #ED1C24 0%, #F96715 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=#ED1C24, endColorstr=#F96715,GradientType=1 );

}
.modal-title {
    color: white;
    font-size: 18px;
    margin-bottom: 3px;
    text-transform: uppercase;

}
.custom-close span {
    color: white;
    border: none;
    outline: none;
    font-size: 30px;
    align-content: center;
    margin-top: 5px;

}
[type="checkbox"]+span.ps-shown-by-js{
    display: block;
    width: 20px;
    height: 20px;
    border-radius: 10px;
    border: 2px solid #ccc;
}
[type="checkbox"]:checked+span.ps-shown-by-js{
    background-color: #ed1c24;
}
.facet-label{
    display: flex;
    gap: 0.5rem;
}
.facet-label .custom-checkbox{
    display: flex;
    align-items: center;
}
.facet-label a{
    color : black;

}
.facet-label a .grado {
    border: 1px solid #b3b3b3;
    padding: 4px 8px;
    border-radius: 10px;
    min-width: 116px;
    display: inline-block;
}
.facet-label+p{
    padding-left: 37px;
    line-height: 16px;
}
li.filter-block a.js-search-link{
    width: 15px;
    height: 15px;
    display: block;
    font-size: 20px;
    color: black;
    line-height: 15px;
    margin-top: -5px;
}
#search_filters section:not(:last-child){
    border-bottom: 1px solid #b3b3b3;
    margin-bottom: 15px;
}
.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default {
    border: 1px solid #ed1c24 !important;
    border-radius: 100%;
    background: #fff !important;


}
.ui-widget-header {
    background: #ed1c24 !important;
}
.ui-widget-content {
    background: #eaeaea !important;
}
.ui-slider-horizontal {
    height: .6em !important;
}

#parentCategoryLink{
    background-color: #f1f1f1;
    position: fixed;
    left: 0;
    right: 0;
    top: 138px;
    z-index: 1021;
}
main {
    padding-top:40px !important;
}
.backToCategory{
    padding-left:15px;
    font-size: 12px;
    color: #000;
    position: relative;
    height:18px;
    display: block;
    line-height: 18px;
}
.backToCategory::before{
    position: absolute;
    left:-2px;
    top:0;
    content:"";
    display: block;
    width: 20px;
    height: 18px;
    color: #000;
    background: #000;
    z-index: 0;
    content: url;
    -webkit-mask: url(/themes/pro-speed/assets/img/ico/Icona-Freccia.svg) no-repeat 50% 50%;
    mask: url(/themes/pro-speed/assets/img/ico/Icona-Freccia.svg) no-repeat 50% 50%;
    mask-size: 4px;
    -webkit-mask-size: 4px;
}

@media screen and (min-width: 768px){
    #parentCategoryLink {
        top:152px;
    }
    .category-top-menu .collapse-icons {
        cursor: pointer;
        margin-left: auto;
    }
    .category-sub-menu li {
        display: flex;
        flex-wrap: wrap;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
    }
        .category-sub-menu li[data-depth="0"] {
            padding: .25rem .5rem .25rem 0;
            border-bottom: 1px solid #ccc;
        }

}
.js-search-filters-clear-all{
    border:none;
    background: #fff;
    border-radius: 30px;
    color: #ed1c24;
}
#search_filters.loading{
    position: relative;}
#search_filters.loading:after {
    display: block;
    content: "";
    background: rgba(255, 255, 255, 0.7);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 100;
    height: 100%;
}
@media screen and (max-width:1199px){
    #right-column{
        position: fixed;
        right: 0;
        bottom:0;
        top:0;
        max-width: 300px;
        z-index: 1040;
        transform: translateX(110%);
        transition: transform .3s;
        background: #fff;
        overflow-y: auto;
    }
    #right-column.open{
        transform: translateX(0%);
    }

    .js-search-filters-close{
        padding: 0;
        height: 40px;
        width: 40px;
        line-height: 40px;
        text-align: center;
        color: #000;
        background: rgba(0, 0, 0, 0);
        border: 0;
        font-size: 30px;
        outline: none;
        margin: -7px;
    }
    #backdrop{
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: rgba(0,0,0,.5);
        z-index: 1039;
    }


}
@media screen and (min-width:1200px){

    #right-column .sidebar{
        margin-top: -12px;
        max-height: calc(100vh - 178px);
        overflow-y: auto;
        position: sticky;
        top: 178px;
    }
    /* width */
    #right-column .sidebar::-webkit-scrollbar {
        width: 8px;
    }

    /* Track */
    #right-column .sidebar::-webkit-scrollbar-track {
        background: #f1f1f1;
    }

    /* Handle */
    #right-column .sidebar::-webkit-scrollbar-thumb {
        background: #ccc;
        border-radius: 4px;
    }

    /* Handle on hover */
    #right-column .sidebar::-webkit-scrollbar-thumb:hover {
        background: #a8a8a8;
    }
    #right-column .sidebar::-webkit-scrollbar-thumb:active {
        background: #888;
    }

    #right-column .filtersTitle{ display: none !important;}
    #right-column #js-active-search-filters{
        margin-left: 0px;
        margin-right: 0px;
    }
}

@media screen and (max-width:576px){
    .product-miniature{
        flex: 0 0 50%;
    }

}